RUDOF(1)

NAME
rudof validate - Validate RDF data using ShEx or SHACL

SYNOPSIS
rudof validate [OPTIONS] [DATA]...

DESCRIPTION
Validate RDF data using ShEx or SHACL

  Arguments:

    [DATA]...

OPTIONS

-M, --mode <Validation mode>

    [default: shex] [possible values: shex, shacl]

-s, --schema <Schema file name>

-f, --schema-format <Schema format>

    [possible values: internal, simple, shexc, shexj, turtle, ntriples, rdfxml, trig, n3, nquads]

-m, --shapemap <ShapeMap>

--shapemap-format <ShapeMap format>

    [default: compact] [possible values: compact, internal]

-n, --node <NODE>

-l, --shape-label <shape label (default = START)>

-t, --data-format <RDF Data format>

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads]

-e, --endpoint <Endpoint with RDF data>

--max-steps <max steps to run>

    [default: 100]

-S, --shacl-mode <SHACL validation mode>

    Execution mode

    [default: native]

    Possible values: - native: We use a Rust native engine in an imperative manner (performance) - sparql: We use a SPARQL-based engine, which is declarative

--reader-mode <RDF Reader mode>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-o, --output-file <Output file name, default = terminal>

--force-overwrite

-c, --config-file <Config file name>

    Config file path, if unset it assumes default config

-h, --help

    Print help (see a summary with '-h')